Page MenuHomePhabricator

Mediawiki UI: Inputs: Explicitly define text color
Closed, ResolvedPublic

Event Timeline

Prtksxna created this task.Oct 17 2016, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 17 2016, 6:59 PM

It used to be set to inherit, but was removed in rMW9e8afeb36a87b7cf7cc126fe2871e064ad2fc6bc for T78736.

Now my gnome theme is setting these very readable colors for me :D

We shouldn't be spending time maintaining mw.ui, I know. Let's close the task if we think this isn't important.

OOjs UI does it and it does it explicitly for exactly the reason you've filed the task for.
One thing I want to make sure, is not to introduce side-effects on MobileFrontend where the background-color sometimes changes to a yellow tone. @Jdlrobson any thoughts/objections here to make .mw-ui-inputs following a distinct color of M82 similar to OOjs UI?

Volker where are you seeing the yellow tone in MobileFrontend?
I'm pretty sure if you're seeing this it's provided by the browser default user agent (e.g. for autocomplete fields).

@Jdlrobson Was mislead by Chrome's (WebKit's) proprietary feature of making input fields' background color pale yellow when auto-filled with saved values. See https://stackoverflow.com/questions/2338102/override-browser-form-filling-and-input-highlighting-with-html-css for more information…

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 3 2016, 8:24 AM
jo12bar claimed this task.Dec 26 2016, 4:12 AM
jo12bar added a subscriber: jo12bar.

Claimed as part of Google Code-In 2016 :)

Change 329234 had a related patch set uploaded (by Jo12bar):
mediawiki.ui: Explicitly define input text color

https://gerrit.wikimedia.org/r/329234

matmarex closed this task as Resolved.Dec 27 2016, 12:40 PM
matmarex removed a project: Patch-For-Review.

@Aklapper The GCI task can be marked as complete. :)

Change 329234 merged by jenkins-bot:
mediawiki.ui: Explicitly define input text color

https://gerrit.wikimedia.org/r/329234

@Aklapper The GCI task can be marked as complete. :)

Done.